Bug 1029613 - Count of unread messages incorrect
Count of unread messages incorrect
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 13:02 EST by John Dennis
Modified: 2014-01-06 10:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-06 10:10:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Show wrong unread count (15.21 KB, image/jpeg)
2013-11-12 13:07 EST, John Dennis
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 917886 None None None Never

  None (edit)
Description John Dennis 2013-11-12 13:02:01 EST
Version: thunderbird-24.0-3.fc18.x86_64

I have 3 IMAP accounts configured in Thunderbird. On all 3 accounts the count of unread messages next to the account inbox in the account pane is wildly inaccurate. This behaviour first appeared after upgrading to thunderbird-24.0-3.fc18.x86_64.
Comment 1 John Dennis 2013-11-12 13:07:47 EST
Created attachment 823069 [details]
Show wrong unread count

This screenshot shows the incorrect unread count next to a couple of my email accounts. In both instances the accounts had no unread messages. The most egregious is the second account showing 2920 unread messages, this is almost 4 times as many messages as there are in the account inbox (all of which have been read).

I'm going to make a wild guess and speculate it's an uninitialized variable some place.
Comment 2 John Dennis 2013-12-09 15:22:10 EST
Finally figured out the unread message count wasn't random at all, instead it's the sum of all unread messages in all subfolders, bad news if you do things like filter unwanted messages into subfolders (i.e. trash)

see also:

https://getsatisfaction.com/mozilla_messaging/topics/thunderbird_24_unread_message_count_now_includes_subfolders_counts

https://bugzilla.mozilla.org/show_bug.cgi?id=917886
Comment 3 Fedora End Of Life 2013-12-21 09:44:56 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Martin Stransky 2014-01-06 10:10:30 EST
Let's trace it upstream.

Note You need to log in before you can comment on or make changes to this bug.